nxt.http.callers

## Class PublishExchangeOfferCall

- java.lang.Object
- - nxt.http.APICall.Builder<T>
  - - nxt.http.callers.CreateTransactionCallBuilder<PublishExchangeOfferCall>
    - - nxt.http.callers.PublishExchangeOfferCall

-     public class PublishExchangeOfferCall
      extends CreateTransactionCallBuilder<PublishExchangeOfferCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PublishExchangeOfferCall` | `buyRateNQTPerUnit(long buyRateNQTPerUnit)`
    `static PublishExchangeOfferCall` | `create(int chain)`
    `PublishExchangeOfferCall` | `currency(long currency)`
    `PublishExchangeOfferCall` | `currency(java.lang.String currency)`
    `PublishExchangeOfferCall` | `expirationHeight(java.lang.String expirationHeight)`
    `PublishExchangeOfferCall` | `initialBuySupplyQNT(long initialBuySupplyQNT)`
    `PublishExchangeOfferCall` | `initialSellSupplyQNT(long initialSellSupplyQNT)`
    `PublishExchangeOfferCall` | `sellRateNQTPerUnit(long sellRateNQTPerUnit)`
    `PublishExchangeOfferCall` | `totalBuyLimitQNT(long totalBuyLimitQNT)`
    `PublishExchangeOfferCall` | `totalSellLimitQNT(long totalSellLimitQNT)`

    - ### Methods inherited from class nxt.http.callers.CreateTransactionCallBuilder

      `broadcast, compressMessageToEncrypt, compressMessageToEncryptToSelf, deadline, ecBlockHeight, ecBlockId, ecBlockId, encryptedMessageData, encryptedMessageData, encryptedMessageIsPrunable, encryptedMessageNonce, encryptedMessageNonce, encryptToSelfMessageData, encryptToSelfMessageData, encryptToSelfMessageNonce, encryptToSelfMessageNonce, message, messageIsPrunable, messageIsText, messageToEncrypt, messageToEncryptIsText, messageToEncryptToSelf, messageToEncryptToSelfIsText, minBundlerBalanceFXT, minBundlerFeeLimitFQT, phased, phasingExpression, phasingFinishHeight, phasingHashedSecret, phasingHashedSecretAlgorithm, phasingHolding, phasingHolding, phasingLinkedTransaction, phasingMinBalance, phasingMinBalanceModel, phasingParams, phasingQuorum, phasingRecipientPropertyName, phasingRecipientPropertySetter, phasingRecipientPropertyValue, phasingSenderPropertyName, phasingSenderPropertySetter, phasingSenderPropertyValue, phasingSubPolls, phasingVotingModel, phasingWhitelisted, publicKey, publicKey, recipientPublicKey, recipientPublicKey, referencedTransaction, timestamp, voucher`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static PublishExchangeOfferCall create(int chain)

    - #### initialSellSupplyQNT

          public PublishExchangeOfferCall initialSellSupplyQNT(long initialSellSupplyQNT)

    - #### expirationHeight

          public PublishExchangeOfferCall expirationHeight(java.lang.String expirationHeight)

    - #### buyRateNQTPerUnit

          public PublishExchangeOfferCall buyRateNQTPerUnit(long buyRateNQTPerUnit)

    - #### sellRateNQTPerUnit

          public PublishExchangeOfferCall sellRateNQTPerUnit(long sellRateNQTPerUnit)

    - #### totalSellLimitQNT

          public PublishExchangeOfferCall totalSellLimitQNT(long totalSellLimitQNT)

    - #### totalBuyLimitQNT

          public PublishExchangeOfferCall totalBuyLimitQNT(long totalBuyLimitQNT)

    - #### currency

          public PublishExchangeOfferCall currency(java.lang.String currency)

    - #### currency

          public PublishExchangeOfferCall currency(long currency)

    - #### initialBuySupplyQNT

          public PublishExchangeOfferCall initialBuySupplyQNT(long initialBuySupplyQNT)